package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Sin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SinMapper {

    int insert(Sin sin);

    List<Sin> queryByPtyCondition(Sin sin);

    Sin queryByid(String inr);

    int updateSin(Sin sin);

    // 根据客户号，签约平台唯一确定一条记录
    Sin queryByPtyinrAndFromflg(Sin sin);

    Sin queryByPtyextkeyAndFromflg(@Param("ptyextkey") String ptyextkey, @Param("fromflg") String fromflg);

    int updateSinstaByPtyextkeyAndFromflg(@Param("sinsta") String sinsta,@Param("ptyextkey")String ptyextkey,@Param("fromflg")String fromflg);

    int deleteByInr(String inr);
}
